summaryrefslogtreecommitdiffstats
path: root/dvm/765362
diff options
context:
space:
mode:
Diffstat (limited to 'dvm/765362')
-rwxr-xr-xdvm/765362/testcase24
1 files changed, 24 insertions, 0 deletions
diff --git a/dvm/765362/testcase b/dvm/765362/testcase
new file mode 100755
index 0000000..0dd0f67
--- /dev/null
+++ b/dvm/765362/testcase
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Bug 765362- Add brick fails for pure distribute volumes
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 2>/dev/null 1>/dev/null
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null
+sleep 5
+
+# Add another brick to the volume
+$GLUSTERFSDIR/gluster volume add-brick $global_bug_id \
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick2 | grep 'Add Brick successful' 1>/dev/null 2>/dev/null
+
+ret=$?
+
+if [ $ret -ne 0 ]; then
+ exit 1
+else
+ exit 0
+fi
+
+